<?php
//include("pre-pagina");

if ($todo_correcto){
	$elementos_x_pagina = 24;
?>
	<script type="text/javascript">
        $(document).ready(function(){
    
        });
    </script>
    <div id="opciones_top">
        <div id="volver"><p><a href="<?=Shop::$configuracion->url;?>admin" class="back_btn"><span>Volver</span></a></p></div>
    </div>
<?php
//Vamos a ver si hay fichero de configuración
if (!$existe_conf){
	//Tenemos que mostrar el formulario de introducción de datos para crear un nuevo fichero
	include("comunes/form_bd.php");
}else{
	//Metemos aquí el resto de la web
	//Comenzamos comprobando el login
	//Inicializamos el login a false
	$login = false;
	$logout = dame_valor_variable_global("logout","false");
	if ($logout == "true"){
		$login = false;
		$_SESSION["usuario"] = "";
	}
	if ( isset($_SESSION["usuario"]) ){
		if ($_SESSION["usuario"]!=""){
			//Existe la variable de sesión y tiene algún valor correcto
			$login = true;
		}
	}
	if (!($login)){
		//Comprobamos si hemos recibido usuario y contraseña
		$usuario = dame_valor_variable_global("usuario", "");
		$password = dame_valor_variable_global("password", "");
		if ( ($usuario != "") && ($password != "") ){
			//Vamos a intentar hacer login
			$conexionBD = conectar_bd();
			if ($conexionBD){
				$sentencia_sql = "select codigo, usuario from administrador where usuario = '$usuario' and password = '$password'";
				if ( $resultado = mysqli_query($conexionBD, $sentencia_sql) ){
					//echo("SELECT COUNT(*) FROM $sentencia_sql\n<br />");
					$fila = mysqli_fetch_array($resultado);
					if ($fila[0] > 0){
						//Se ha hecho login!!!
						$login = true;
						$_SESSION["usuario"] = $fila[1];
					}
				}
			}else{
				echo("Error al conectar con la base de datos. Contacte con su administrador\n<br />");
			}
		}
	}
	
	//Si se ha hecho login adelante, si no pues pa atrás jeje
	if ($login){
		$nombre_cliente = dame_valor_variable_global("nombre_cliente", "");
		$email_cliente = dame_valor_variable_global("email_cliente", "");
		$dni_cliente = dame_valor_variable_global("dni_cliente", "");
		$pagina = dame_valor_variable_global("pagina", 0);
?>
<form action="<?=Shop::$configuracion->url;?>admin/clientes.php" method="post" id="form_buscar_cliente">
	<label>Nombre</label>
	<span>
		<a href="javascript:void(0);" onclick="javascript:$(this).next().prop('value', '');" title="Limpiar campo" class="limpiar_datos">x</a>
		<input type="text" name="nombre_cliente" id="nombre" value="<?=$nombre_cliente;?>" class="campo_form_buscar_cliente"/>
	</span>
	<label>Email</label>
	<span>
		<a href="javascript:void(0);" onclick="javascript:$(this).next().prop('value', '');" title="Limpiar campo" class="limpiar_datos">x</a>
		<input type="text" name="email_cliente" id="email" value="<?=$email_cliente;?>" class="campo_form_buscar_cliente"/>
	</span>
	<label>DNI</label>
	<span>
		<a href="javascript:void(0);" onclick="javascript:$(this).next().prop('value', '');" title="Limpiar campo" class="limpiar_datos">x</a>
		<input type="text" name="dni_cliente" id="dni" value="<?=$dni_cliente;?>" class="campo_form_buscar_cliente"/>
	</span>
	<div id="botones_filtro_clientes">
		<input type="submit" name="buscar_cliente"  id="buscar_cliente" value="Buscar"  />
		<input type="button" name="Reiniciar b&uacute;squeda"  id="reiniciar_busqueda" value="Reiniciar"  onclick="$('.campo_form_buscar_cliente').prop('value', ''); $('#form_buscar_cliente').submit();"/>
	</div>
</form>
<table class="tabla_clientes">
				<thead>
					<tr class="codigo_promocional">
						<th class="vacio">&nbsp;</th>
						<th class="vacio">&nbsp;</th>
						<th class="vacio">&nbsp;</th>
						<th class="tnombre"><a href="javascript:void( 0 );">Nombre Completo</a></th>
						<th class="temail"><a href="javascript:void( 0 );">Email</a></th>
						<th class="tdni"><a href="javascript:void( 0 );">DNI</a></th>
						<th class="tdireccion"><a href="javascript:void( 0 );">Direcci�n</a></th>
						<th class="tcp"><a href="javascript:void( 0 );">Codigo postal</a></th>
						<th class="tprovincia"><a href="javascript:void( 0 );">Localidad/Provincia</a></th>
						<th class="ttelefono"><a href="javascript:void( 0 );">Telefono</a></th>
					</tr>
				</thead>
				<tbody>
<?php
		//Vamos a construir la select en funci�n de los datos que hemos recibido
		$sentencia_where = "";
		if ($nombre_cliente != ""){
			$sentencia_where .= ($sentencia_where != "")? " AND " : "";
			$sentencia_where .= " ( nombre_legal like '%$nombre_cliente%' OR nombre_comercial like '%$nombre_cliente%' )";
		}
		if ($email_cliente != ""){
			$sentencia_where .= ($sentencia_where != "")? " AND " : "";
			$sentencia_where .= " email like '%$email_cliente%' ";
		}
		if ($dni_cliente != ""){
			$sentencia_where .= ($sentencia_where != "")? " AND " : "";
			$sentencia_where .= " cif like '%$dni_cliente%' ";
		}
		$sentencia_paginacion = " LIMIT " . ($elementos_x_pagina * $pagina) . ", $elementos_x_pagina ";
		if ($sentencia_where == ""){
			$sentencia_where = " 1 ";
		}
		//Vamos a conocer cuantos elementos hay en la consulta
		$sentencia_clientes="SELECT * FROM  `cliente` WHERE " . $sentencia_where;
		$total_elementos = 0;
		if ($conexionBD){
			if ( $resultado = mysqli_query($conexionBD, $sentencia_clientes) ){
				$total_elementos = mysqli_num_rows($resultado);
			}
		}
		$sentencia_clientes="SELECT * FROM  `cliente` WHERE " . $sentencia_where . $sentencia_paginacion;
		//echo ("$sentencia_clientes<br />\n");;
		if ($conexionBD){
			if ( $resultado = mysqli_query($conexionBD, $sentencia_clientes) ){
				//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
				while($fila = mysqli_fetch_array($resultado)){
				
					if($fila['codigo_confirmacion']==0){
						$class_estado ="estado_confirmado";
						$txt_estado= "Confirmado";
					}else{
						$class_estado = "estado_no_confirmado";
						$txt_estado= "No Confirmado";
					}	
							
?>
                <tr class="<?=$class_estado;?>" id="codigo_promocional_<?=$fila['codigo'];?>">
						<td class="verificar">
<?php
					if($fila['codigo_confirmacion'] == 0){
?>
							&nbsp;
<?php
					}else{
?>
							<a href="<?=Shop::$configuracion->url;?>admin/enviar_confirmacion_clientes.php?verificar=1&cod=<?=$fila['codigo'];?>" title="Enviar verificaci&oacute;n" class="enviar_verificacion_cliente">
								<img src="images/enviar.png" title="Enviar email de confirmacion al cliente" />
							</a>
<?php
					}
?>
						</td>
						<td class="verificar">
<?php
					if($fila['codigo_confirmacion' ] == 0){
?>
							<img src="images/guion.png" title="Cliente verificado" />
<?php
					}else{
?>
							<a href="<?=Shop::$configuracion->url;?>admin/enviar_confirmacion_clientes.php?confirmar=1&cod=<?=$fila['codigo'];?>" title="Confirmar cliente" class="confirmar_cliente">
								<img src="images/correcto.png" title="Verificar cliente" />
							</a>
<?php
					}
?>
						</td>
						<td class="enviar">
<?php
					if($fila['codigo_confirmacion'] == 0){
?>
							<a href="<?=Shop::$configuracion->url;?>admin/enviar_confirmacion_clientes.php?enviar=1&cod=<?=$fila['codigo'];?>" title="Enviar email de confirmacion al cliente" class="enviar_datos">
								<img src="images/enviar.png" title="Enviar email de confirmacion al cliente" />
							</a>
<?php
					}else{
?>
							&nbsp;
<?php
					}
?>
						</td>	
						<td class="t_nombre"><?=$fila['nombre_comercial'];?> </td>
						<td class="t_email"><?=$fila['email'];?> </td>
						<td class="t_dni"><?=$fila['cif'];?></td>
						<td class="t_direccion"><?=$fila['direccion'];?></td>
						<td class="t_cp"><?=$fila['cod_postal'];?></td>
						<td class="t_cp"><?=$fila['localidad']."/".$fila['provincia'];?></td>
                        <td class="t_cp"><?=$fila['telefono'];?></td>
                    </tr>
<?php
				}
			}else{
					echo("No se han podido cargar los datos para mostrarlos. Contacte con su administrador<br />");
			}
		}
?>
				</tbody>
				<tfoot>
					<tr class="foot_tabla">
						<td>&nbsp;</td>
                        <td>&nbsp;</td>
						<td>&nbsp;</td>
						<td colspan="8" class="pie_tabla"></td>
					</tr>
				</tfoot>
			</table>
			<div id="paginador_clientes">
<?php
		//***********************************************************************************************
		//-------------------------------------       Paginador     -------------------------------------
		//***********************************************************************************************
		//Cᬣulo del n�mero total de p᧩nas
		$total_paginas = ceil($total_elementos / $elementos_x_pagina);
		//Vamos a componer el enlace
		$enlace = "";
		if ($nombre_cliente != ""){
			$enlace .= ($enlace != "")? "&" : "";
			$enlace .= "nombre_cliente=$nombre_cliente";
		}
		if ($email_cliente != ""){
			$enlace .= ($enlace != "")? "&" : "";
			$enlace .= "email_cliente=$email_cliente";
		}
		if ($dni_cliente != ""){
			$enlace .= ($enlace != "")? "&" : "";
			$enlace .= "dni_cliente=$dni_cliente";
		}
		for ($i = 0; $i < $total_paginas; $i++){
?>
				<span <?=(($i) == $pagina) ? 'class="pagina_actual"' : "";?>><a href="<?=Shop::$configuracion->url;?>admin/clientes.php?pagina=<?=$i;?>&<?=$enlace;?>" title="Ir a p&aacute;na <?=$i + 1;?>"><?=$i+1;?></a></span>
<?php
		}
?>
			</div>
<?php
	}else{
		//Mostramos el formulario de login
		include("comunes/form_login.php");
	}
}
?>
    </body>
</html>
<?php
}
//include("post-pagina.php");
?>
